---
title: "Get a run"
url: https://hexelstudio.com/docs/api/harness/runs/get
---

# Get a run

**GET** `/harness/runs/{id}`

## Headers

- `Authorization: string`

  `Bearer <token>`. A Hexel Studio access token for your organization.

- `X-Workspace-Id: string`

  The workspace the request acts in (`ws_...`). It never grants access by itself.

- `X-Environment-Id: string`

  The environment the request acts in (`env_...`). It never grants access by itself.

## Returns

`200` The run. (`Run`)

- `agent: optional string`

- `attempt: integer`

- `cell_id: optional string`

- `cost_usd: number`

- `created_at: string`

- `end_reason: optional string`

- `ended_at: optional string`

- `id: string`

- `parent_run_id: optional string`

- `sdk_status: optional string`

- `started_at: optional string`

- `state: string`

- `task_id: string`

- `titan: optional RunTitan`

  - `durable_session_id: optional string`

  - `lifecycle: optional string`

  - `session_id: optional string`

  - `state: optional string`

## Errors

- `default` 

## Example

```bash
curl --request GET \
  --url 'https://api.hexelstudio.com/v1/harness/runs/{id}' \
  --header "Authorization: Bearer $ACCESS_TOKEN" \
  --header 'X-Workspace-Id: X_WORKSPACE_ID' \
  --header 'X-Environment-Id: X_ENVIRONMENT_ID'
```

### Response (200)

```json
{
  "agent": "string",
  "attempt": 0,
  "cell_id": "string",
  "cost_usd": 0,
  "created_at": "2026-01-01T00:00:00Z",
  "end_reason": "string",
  "ended_at": "2026-01-01T00:00:00Z",
  "id": "string",
  "parent_run_id": "string",
  "sdk_status": "string",
  "started_at": "2026-01-01T00:00:00Z",
  "state": "string",
  "task_id": "string",
  "titan": {
    "durable_session_id": "string",
    "lifecycle": "string",
    "session_id": "string",
    "state": "string"
  }
}
```
